<!DOCTYPE html>
<html lang="en">

<head>
    <title>Index page</title>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
</head>

<body>
    <div class="container">
        <h2 align="center" class="text-danger">Array <code>concat()</code> method in JavaScript</h2>
        <hr />

        <!-- JavaScript Array "concat()" example -->
        <div id="title">
            <h4 class="text-info">What is a Array "concat()" method?</h4>
            <ul>
                <li>The javascript array <code>concat()</code> method combines two or more arrays and returns a new array.</li>
                <li>This method returns a <em>shallow copy</em> that contains copies of the same elements combines from the original arrays.</li>
                <li>Syntax: <pre>myArray.concat(array1, array2, ....., arrayN);</pre></li>
            </ul>
        </div>
        <div>&nbsp; </div>

        <p>Click the 'button' to join the arrays.</p>
        <button id="btn_submit" type="button" class="btn btn-success" onclick="myfunction();">Click me</button>
        <div>&nbsp; </div>

        <div id="result"></div>
    </div>
    <script>
    	// Javascript function to concat the two arrays.
        function myfunction() {
            let realmadrid = ['Gareth Bale', 'Karim Benzema', 'Sergio Ramos'];
            let barcelona = ['Messi', 'Luis suarez', 'Gerard Pique'];

            let players = realmadrid.concat(barcelona);
            document.getElementById("result").innerHTML = players;
        }
    </script>
</body>

</html>